View Issue Details

IDProjectCategoryLast Update
0020395AI War 2[All Projects] Crash/ExceptionOct 13, 2018 6:27 pm
ReporterOvalcircleAssigned To 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.776 A Legible Galaxy Map 
Fixed in Version0.784 Dash And Destruct 
Summary0020395: The "command station icon stays on cursor after building one and it errors if you click to build another one" bug is still here
DescriptionLook for 9/29/2018 1:10:18 PM
Before placement: No command station found!
TagsNo tags attached.
Internal Weight

Activities

Ovalcircle

Sep 29, 2018 1:31 pm

reporter  

20180929131019_1.jpg (219,224 bytes)
20180929131019_1.jpg (219,224 bytes)
ArcenDebugLog.txt (53,179 bytes)
9/29/2018 12:18:41 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:18:42 AM	No resolution change was required.
9/29/2018 12:18:42 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:18:42 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:19:00 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:19:00 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:19:00 AM	20.3 seconds total load time.

SetDirectoriesToBeUsed (1.4s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.4s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.5s)
GameEntityTypeDataTable.InitVisualBits (3.3s)
SurrogateTableTable (0.6s)
9/29/2018 12:19:00 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:19:44 AM	Generate Map with type X and seed 846166877
9/29/2018 12:19:44 AM	World Created, Launching Server
9/29/2018 12:19:44 AM	Successfully opened host socket
9/29/2018 12:19:49 AM	Generate Map with type X and seed 846166877
9/29/2018 12:19:49 AM	Generate Map Complete
9/29/2018 12:19:54 AM	Generate Map with type X and seed 846166877
9/29/2018 12:19:54 AM	Generate Map Complete
9/29/2018 12:19:58 AM	Generate Map with type X and seed 846166877
9/29/2018 12:19:58 AM	Generate Map Complete
9/29/2018 12:20:04 AM	Generate Map with type X and seed 846166877
9/29/2018 12:20:04 AM	Generate Map Complete
9/29/2018 12:20:06 AM	Generate Map with type X and seed 846166877
9/29/2018 12:20:06 AM	Generate Map Complete
9/29/2018 12:22:28 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:25:03 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:25:04 AM	No resolution change was required.
9/29/2018 12:25:04 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:25:04 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:25:24 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:25:24 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:25:24 AM	22.6 seconds total load time.

SetDirectoriesToBeUsed (1.5s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (11.0s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.6s)
GameEntityTypeDataTable.InitVisualBits (3.6s)
SurrogateTableTable (0.7s)
9/29/2018 12:25:24 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:25:42 AM	Generate Map with type X and seed 846166877
9/29/2018 12:25:42 AM	World Created, Launching Server
9/29/2018 12:25:43 AM	Successfully opened host socket
9/29/2018 12:26:14 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:27:20 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:27:21 AM	No resolution change was required.
9/29/2018 12:27:21 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:27:21 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:27:39 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:27:40 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:27:40 AM	20.7 seconds total load time.

SetDirectoriesToBeUsed (1.4s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (10.0s)
ExternalIconDictionaryTable (0.3s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.6s)
GameEntityTypeDataTable.Initialize (0.6s)
GameEntityTypeDataTable.InitVisualBits (3.2s)
SurrogateTableTable (0.6s)
9/29/2018 12:27:40 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:28:28 AM	Generate Map with type X and seed 846166877
9/29/2018 12:28:28 AM	World Created, Launching Server
9/29/2018 12:28:28 AM
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.PrivateVisExtensions.DirectTopDownCam.RecalculateSecondaryData () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.PrivateVisExtensions.StrategyCamBase.RunUpdate () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.Core.CameraLogicWrapper.Update () (at <3d6423240d424725bc3d59c2917608d4>:0)



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 

9/29/2018 12:28:28 AM
ErrorsReportedByEngine:    -----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.PrivateVisExtensions.DirectTopDownCam.RecalculateSecondaryData () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.PrivateVisExtensions.StrategyCamBase.RunUpdate () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.Core.CameraLogicWrapper.Update () (at <3d6423240d424725bc3d59c2917608d4>:0)



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 

9/29/2018 12:28:28 AM	Successfully opened host socket
9/29/2018 12:28:33 AM	Generate Map with type X and seed 846166877
9/29/2018 12:28:33 AM	Generate Map Complete
9/29/2018 12:28:44 AM	Generate Map with type X and seed 846166877
9/29/2018 12:28:44 AM	Generate Map Complete
9/29/2018 12:28:46 AM	Generate Map with type X and seed 846166877
9/29/2018 12:28:46 AM	Generate Map Complete
9/29/2018 12:28:49 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:28:49 AM	Welcome to the test generator

9/29/2018 12:28:49 AM	populate PlanetPoints list

9/29/2018 12:28:49 AM	I have created my points, now lets make the planets

9/29/2018 12:28:49 AM	Adding planet 0 at location 0,100

9/29/2018 12:28:49 AM	Adding planet 1 at location 500,0

9/29/2018 12:28:49 AM	Adding planet 2 at location 600,100

9/29/2018 12:28:49 AM	Adding planet 3 at location -100,-100

9/29/2018 12:28:49 AM	Adding planet 4 at location 0,-600

9/29/2018 12:28:49 AM	My galaxy has 6 planets. Return now

9/29/2018 12:28:49 AM	Generate Map Complete
9/29/2018 12:28:59 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:28:59 AM	Welcome to the test generator

9/29/2018 12:28:59 AM	populate PlanetPoints list

9/29/2018 12:28:59 AM	I have created my points, now lets make the planets

9/29/2018 12:28:59 AM	Adding planet 0 at location 0,100

9/29/2018 12:28:59 AM	Adding planet 1 at location 500,0

9/29/2018 12:28:59 AM	Adding planet 2 at location 600,100

9/29/2018 12:28:59 AM	Adding planet 3 at location -100,-100

9/29/2018 12:28:59 AM	Adding planet 4 at location 0,-600

9/29/2018 12:28:59 AM	My galaxy has 6 planets. Return now

9/29/2018 12:28:59 AM	Generate Map Complete
9/29/2018 12:31:01 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:31:01 AM	Welcome to the test generator

9/29/2018 12:31:01 AM	populate PlanetPoints list

9/29/2018 12:31:01 AM	I have created my points, now lets make the planets

9/29/2018 12:31:01 AM	Adding planet 0 at location 0,100

9/29/2018 12:31:01 AM	Adding planet 1 at location 500,0

9/29/2018 12:31:01 AM	Adding planet 2 at location 600,100

9/29/2018 12:31:01 AM	Adding planet 3 at location -100,-100

9/29/2018 12:31:01 AM	Adding planet 4 at location 0,-600

9/29/2018 12:31:01 AM	My galaxy has 6 planets. Return now

9/29/2018 12:31:01 AM	Generate Map Complete
9/29/2018 12:31:03 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:31:03 AM	Welcome to the test generator

9/29/2018 12:31:03 AM	populate PlanetPoints list

9/29/2018 12:31:03 AM	I have created my points, now lets make the planets

9/29/2018 12:31:03 AM	Adding planet 0 at location 0,100

9/29/2018 12:31:03 AM	Adding planet 1 at location 500,0

9/29/2018 12:31:03 AM	Adding planet 2 at location 600,100

9/29/2018 12:31:03 AM	Adding planet 3 at location -100,-100

9/29/2018 12:31:03 AM	Adding planet 4 at location 0,-600

9/29/2018 12:31:03 AM	My galaxy has 6 planets. Return now

9/29/2018 12:31:03 AM	Generate Map Complete
9/29/2018 12:31:20 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:31:20 AM	Welcome to the test generator

9/29/2018 12:31:20 AM	populate PlanetPoints list

9/29/2018 12:31:20 AM	I have created my points, now lets make the planets

9/29/2018 12:31:20 AM	Adding planet 0 at location 0,100

9/29/2018 12:31:20 AM	Adding planet 1 at location 500,0

9/29/2018 12:31:20 AM	Adding planet 2 at location 600,100

9/29/2018 12:31:20 AM	Adding planet 3 at location -100,-100

9/29/2018 12:31:20 AM	Adding planet 4 at location 0,-600

9/29/2018 12:31:20 AM	My galaxy has 6 planets. Return now

9/29/2018 12:31:20 AM	Generate Map Complete
9/29/2018 12:31:31 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:31:31 AM	Welcome to the test generator

9/29/2018 12:31:31 AM	populate PlanetPoints list

9/29/2018 12:31:31 AM	I have created my points, now lets make the planets

9/29/2018 12:31:31 AM	Adding planet 0 at location 0,100

9/29/2018 12:31:31 AM	Adding planet 1 at location 500,0

9/29/2018 12:31:31 AM	Adding planet 2 at location 600,100

9/29/2018 12:31:31 AM	Adding planet 3 at location -100,-100

9/29/2018 12:31:31 AM	Adding planet 4 at location 0,-600

9/29/2018 12:31:31 AM	My galaxy has 6 planets. Return now

9/29/2018 12:31:31 AM	Generate Map Complete
9/29/2018 12:32:58 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:34:38 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:34:39 AM	No resolution change was required.
9/29/2018 12:34:39 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:34:39 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:34:58 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:34:59 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:34:59 AM	22.0 seconds total load time.

SetDirectoriesToBeUsed (1.6s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (10.2s)
ExternalIconDictionaryTable (0.4s)
ArcenUIPrefabTable (0.3s)
InputActionTypeDataTable (0.3s)
EntityLineTypeTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.6s)
GameEntityTypeDataTable.InitVisualBits (3.4s)
SurrogateTableTable (0.7s)
9/29/2018 12:34:59 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:36:16 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:36:17 AM	No resolution change was required.
9/29/2018 12:36:17 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:36:17 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:36:35 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:36:35 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:36:35 AM	20.2 seconds total load time.

SetDirectoriesToBeUsed (1.5s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (10.1s)
ExternalIconDictionaryTable (0.3s)
PlanetDefinitionTable (0.6s)
GameEntityTypeDataTable.Initialize (0.5s)
GameEntityTypeDataTable.InitVisualBits (3.2s)
SurrogateTableTable (0.6s)
9/29/2018 12:36:35 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:38:04 AM	Successfully opened host socket
9/29/2018 12:39:02 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:39:02 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:39:02 AM	World Created, Launching Server
9/29/2018 12:39:02 AM	Welcome to the test generator

9/29/2018 12:39:02 AM	populate PlanetPoints list

9/29/2018 12:39:02 AM	I have created my points, now lets make the planets

9/29/2018 12:39:02 AM	Adding planet 0 at location 0,100

9/29/2018 12:39:02 AM	Adding planet 1 at location 500,0

9/29/2018 12:39:02 AM	Adding planet 2 at location 600,100

9/29/2018 12:39:02 AM	Adding planet 3 at location -100,-100

9/29/2018 12:39:02 AM	Adding planet 4 at location 0,-600

9/29/2018 12:39:02 AM	My galaxy has 6 planets. Return now

9/29/2018 12:39:03 AM	Successfully opened host socket
9/29/2018 12:39:16 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:39:16 AM	Generate Map with type Tutorial and seed 846166877
9/29/2018 12:39:16 AM	World Created, Launching Server
9/29/2018 12:39:16 AM	Welcome to the test generator

9/29/2018 12:39:16 AM	populate PlanetPoints list

9/29/2018 12:39:16 AM	I have created my points, now lets make the planets

9/29/2018 12:39:16 AM	Adding planet 0 at location 0,100

9/29/2018 12:39:16 AM	Adding planet 1 at location 500,0

9/29/2018 12:39:16 AM	Adding planet 2 at location 600,100

9/29/2018 12:39:16 AM	Adding planet 3 at location -100,-100

9/29/2018 12:39:16 AM	Adding planet 4 at location 0,-600

9/29/2018 12:39:16 AM	My galaxy has 6 planets. Return now

9/29/2018 12:39:16 AM	Successfully opened host socket
9/29/2018 12:39:18 AM	Generate Map with type Simple and seed 846166877
9/29/2018 12:39:18 AM	Generate Map Complete
9/29/2018 12:40:41 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:42:39 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 12:42:40 AM	No resolution change was required.
9/29/2018 12:42:40 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 12:42:40 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 12:42:57 AM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 12:42:58 AM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 12:42:58 AM	20.2 seconds total load time.

SetDirectoriesToBeUsed (1.4s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.3s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.6s)
GameEntityTypeDataTable.InitVisualBits (3.3s)
SurrogateTableTable (0.6s)
9/29/2018 12:42:58 AM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 12:43:09 AM	Successfully opened host socket
9/29/2018 12:45:01 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 12:45:01 AM	Generate Map with type Simple and seed 846166877
9/29/2018 12:45:01 AM	World Created, Launching Server
9/29/2018 12:45:01 AM	Successfully opened host socket
9/29/2018 12:45:09 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:09 AM	Generate Map Complete
9/29/2018 12:45:13 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:13 AM	Generate Map Complete
9/29/2018 12:45:18 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:18 AM	Generate Map Complete
9/29/2018 12:45:19 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:19 AM	Generate Map Complete
9/29/2018 12:45:23 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:23 AM	Generate Map Complete
9/29/2018 12:45:28 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:28 AM	Generate Map Complete
9/29/2018 12:45:36 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:36 AM	Generate Map Complete
9/29/2018 12:45:38 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:38 AM	Generate Map Complete
9/29/2018 12:45:43 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:43 AM	Generate Map Complete
9/29/2018 12:45:49 AM	Generate Map with type Realistic and seed 846166877
9/29/2018 12:45:49 AM	Generate Map Complete
9/29/2018 12:46:46 AM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 1:01:47 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 1:01:48 PM	No resolution change was required.
9/29/2018 1:01:48 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 1:01:48 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 1:02:37 PM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 1:02:37 PM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 1:02:38 PM	51.8 seconds total load time.

SetDirectoriesToBeUsed (1.4s)
Calculate FInt Sqrt Arrays (0.4s)
GameVersionTable (0.3s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (18.1s)
ExternalIconDictionaryTable (1.9s)
ArcenUIPrefabTable (0.6s)
InputActionTypeDataTable (0.3s)
SpaceboxDefinitionTable (1.5s)
PlanetDefinitionTable (2.9s)
GameEntityTypeDataTable.Initialize (0.7s)
GameEntityTypeDataTable.InitVisualBits (18.5s)
GameEntityTypeDataTable.Instance.ComputeBalanceStats (0.4s)
SurrogateTableTable (1.2s)
9/29/2018 1:02:39 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 1:02:44 PM	Generate Map with type Realistic and seed 846166877
9/29/2018 1:02:45 PM	World Created, Launching Server
9/29/2018 1:02:46 PM	Successfully opened host socket
9/29/2018 1:02:58 PM	Generate Map with type Realistic and seed 846166877
9/29/2018 1:02:59 PM	Generate Map Complete
9/29/2018 1:03:03 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:03 PM	Generate Map Complete
9/29/2018 1:03:08 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:09 PM	Generate Map Complete
9/29/2018 1:03:18 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:18 PM	Generate Map Complete
9/29/2018 1:03:19 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:19 PM	Generate Map Complete
9/29/2018 1:03:20 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:20 PM	Generate Map Complete
9/29/2018 1:03:22 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:22 PM	Generate Map Complete
9/29/2018 1:03:24 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:24 PM	Generate Map Complete
9/29/2018 1:03:33 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:34 PM	Generate Map Complete
9/29/2018 1:03:37 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:37 PM	Generate Map Complete
9/29/2018 1:03:39 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:39 PM	Generate Map Complete
9/29/2018 1:03:39 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:39 PM	Generate Map Complete
9/29/2018 1:03:56 PM	Generate Map with type X and seed 846166877
9/29/2018 1:03:56 PM	Generate Map Complete
9/29/2018 1:04:02 PM	Generate Map with type X and seed 846166877
9/29/2018 1:04:02 PM	Generate Map Complete
9/29/2018 1:05:45 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 1:05:45 PM	Generate Map with type X and seed 846166877
9/29/2018 1:05:45 PM	World Created, Launching Server
9/29/2018 1:05:46 PM	Successfully opened host socket
9/29/2018 1:05:52 PM	Generate Map with type X and seed 846166877
9/29/2018 1:05:52 PM	Generate Map Complete
9/29/2018 1:05:55 PM	Generate Map with type X and seed 846166877
9/29/2018 1:05:55 PM	Generate Map Complete
9/29/2018 1:05:58 PM	Generate Map with type X and seed 846166877
9/29/2018 1:05:58 PM	Generate Map Complete
9/29/2018 1:06:00 PM	Generate Map with type X and seed 846166877
9/29/2018 1:06:01 PM	Generate Map Complete
9/29/2018 1:06:06 PM	Generate Map with type Tutorial and seed 846166877
9/29/2018 1:06:06 PM	Welcome to the test generator

9/29/2018 1:06:06 PM	populate PlanetPoints list

9/29/2018 1:06:06 PM	I have created my points, now lets make the planets

9/29/2018 1:06:06 PM	Adding planet 0 at location 0,100

9/29/2018 1:06:06 PM	Adding planet 1 at location 500,0

9/29/2018 1:06:06 PM	Adding planet 2 at location 600,100

9/29/2018 1:06:06 PM	Adding planet 3 at location -100,-100

9/29/2018 1:06:06 PM	Adding planet 4 at location 0,-600

9/29/2018 1:06:06 PM	My galaxy has 6 planets. Return now

9/29/2018 1:06:06 PM	Generate Map Complete
9/29/2018 1:06:09 PM	Generate Map with type Tutorial and seed 846166877
9/29/2018 1:06:09 PM	Welcome to the test generator

9/29/2018 1:06:09 PM	populate PlanetPoints list

9/29/2018 1:06:09 PM	I have created my points, now lets make the planets

9/29/2018 1:06:09 PM	Adding planet 0 at location 0,100

9/29/2018 1:06:09 PM	Adding planet 1 at location 500,0

9/29/2018 1:06:09 PM	Adding planet 2 at location 600,100

9/29/2018 1:06:09 PM	Adding planet 3 at location -100,-100

9/29/2018 1:06:09 PM	Adding planet 4 at location 0,-600

9/29/2018 1:06:09 PM	My galaxy has 6 planets. Return now

9/29/2018 1:06:09 PM	Generate Map Complete
9/29/2018 1:06:18 PM	Generate Map with type Tutorial and seed 846166877
9/29/2018 1:06:18 PM	Welcome to the test generator

9/29/2018 1:06:18 PM	populate PlanetPoints list

9/29/2018 1:06:18 PM	I have created my points, now lets make the planets

9/29/2018 1:06:18 PM	Adding planet 0 at location 0,100

9/29/2018 1:06:18 PM	Adding planet 1 at location 500,0

9/29/2018 1:06:18 PM	Adding planet 2 at location 600,100

9/29/2018 1:06:18 PM	Adding planet 3 at location -100,-100

9/29/2018 1:06:18 PM	Adding planet 4 at location 0,-600

9/29/2018 1:06:18 PM	My galaxy has 6 planets. Return now

9/29/2018 1:06:18 PM	Generate Map Complete
9/29/2018 1:07:11 PM	No resolution change was required.
9/29/2018 1:07:11 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 1:07:11 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 1:10:18 PM
Before placement: No command station found!

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.AIW2.ExternalVisualization.PlanetViewSelector.HandleMouseEvent_PlanetView (Arcen.AIW2.Core.ArcenMouseEventType EventType, Arcen.AIW2.Core.ArcenInputFlags InputFlags, Arcen.Universal.ArcenPoint SimPointUnderCursor, Arcen.AIW2.Core.GameEntity_Base EntityUnderCursor, System.Boolean InBandBoxMode) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.PlanetViewSelector.RunUpdate () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at SelectionManager.Update () [0x00000] in <736bed08ccc44f20ba2261307ffeeff5>:0 

9/29/2018 1:13:04 PM
BUG: shipsTakingHits[0] is null

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.QuickDebug (System.String Message) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Shot Shot, Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at PresentationLayer_AIW2.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Shot Shot, Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <736bed08ccc44f20ba2261307ffeeff5>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoHitLogic (Arcen.AIW2.Core.GameEntity_Squad Target, System.Boolean HonorFiniteHitCountAOE, Arcen.Universal.FInt PercentOfTotalAttackPowerForThisHit, Arcen.Universal.FInt& PercentOfTotalAttackPowerUsedForThisHit, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoHitLogic (Arcen.AIW2.Core.GameEntity_Squad Target, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoEntityStepLogic_Shot (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.<DoCombatStep>m__1 (Arcen.AIW2.Core.GameEntity_Shot entity) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (Arcen.AIW2.Core.GameEntity_Shot+ProcessorDelegate Processor) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.DoForEntities (Arcen.AIW2.Core.GameEntity_Shot+ProcessorDelegate Processor) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.DoCombatStep (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

9/29/2018 1:13:05 PM
Error during ReactToShotHittingSquad debug number 22
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.TryRewiringShotToNewShipAtSameTargetSquad (System.Collections.Generic.List`1[T] shipsToExclude) [0x00001] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00a6a] in <f8a2eed9f6824d298694aacc35b31d51>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Shot Shot, Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at PresentationLayer_AIW2.ReactToShotHittingSquad (Arcen.AIW2.Core.GameEntity_Shot Shot, Arcen.AIW2.Core.GameEntity_Squad TargetSquad, Arcen.AIW2.Core.GameEntity_Squad ProtectingShieldThatTookTheHitOrNull, System.Int32 NumberOfShipsKilled, System.Boolean WasEntireSquadKilled) [0x00000] in <736bed08ccc44f20ba2261307ffeeff5>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoHitLogic (Arcen.AIW2.Core.GameEntity_Squad Target, System.Boolean HonorFiniteHitCountAOE, Arcen.Universal.FInt PercentOfTotalAttackPowerForThisHit, Arcen.Universal.FInt& PercentOfTotalAttackPowerUsedForThisHit, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoHitLogic (Arcen.AIW2.Core.GameEntity_Squad Target, Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.GameEntity_Shot.DoEntityStepLogic_Shot (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.<DoCombatStep>m__1 (Arcen.AIW2.Core.GameEntity_Shot entity) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (Arcen.AIW2.Core.GameEntity_Shot+ProcessorDelegate Processor) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.DoForEntities (Arcen.AIW2.Core.GameEntity_Shot+ProcessorDelegate Processor) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.Planet.DoCombatStep (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00000] in <3d6423240d424725bc3d59c2917608d4>:0 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <bb2b923bfb0b4b2bb10cfe67a99a2e94>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

9/29/2018 1:19:11 PM	MINOR BUG: ship killed is already on Dying list. squad 16577 VampireClaw
9/29/2018 1:19:40 PM	BUG: ship killed is not part of target squad. squad 17080 ArmorShip shipid 13912 in squad ArmorShip 16990
9/29/2018 1:19:41 PM	BUG: ship killed is not part of target squad. squad 16820 VampireClaw shipid 14355 in squad ArmorShip 17091
9/29/2018 1:20:06 PM
ReactToShotHittingSquad Error at debug stage 900
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.DoShotMovement (System.Boolean DrawDebugData) [0x0023f] in <f8a2eed9f6824d298694aacc35b31d51>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.DoShotMovement (System.Boolean DrawDebugData) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.HandleShotUpdates () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.RunPlanetUpdateTree () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.RunUpdate () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at ArcenMainGameVisuals.Update () [0x00000] in <736bed08ccc44f20ba2261307ffeeff5>:0 

9/29/2018 1:20:21 PM	PLAYER DISCONNECTED 0.0.0.0=>0
9/29/2018 1:23:06 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
9/29/2018 1:23:06 PM	No resolution change was required.
9/29/2018 1:23:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/29/2018 1:23:06 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/29/2018 1:23:24 PM	ArcenAssetBundleCache.InstantiatedObjects: 754
9/29/2018 1:23:25 PM	Game Version: 0.776
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/29/2018 1:23:25 PM	20.7 seconds total load time.

SetDirectoriesToBeUsed (1.5s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.9s)
ExternalIconDictionaryTable (0.4s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.5s)
GameEntityTypeDataTable.InitVisualBits (3.3s)
SurrogateTableTable (0.7s)
9/29/2018 1:23:25 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/29/2018 1:23:40 PM	Successfully opened host socket
9/29/2018 1:24:14 PM
TryWiringUpShotToTarget Error at debug stage 500
System.NullReferenceException: Object reference not set to an instance of an object.
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.TryWiringUpShotToTarget (System.Single DeltaTime, Arcen.AIW2.Core.GameEntity_Squad TargetSquad) [0x0014a] in <f8a2eed9f6824d298694aacc35b31d51>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <6fd3351d4cff454da243e015a7bf05f4>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.TryWiringUpShotToTarget (System.Single DeltaTime, Arcen.AIW2.Core.GameEntity_Squad TargetSquad) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.ShotVisualizer.DoShotMovement (System.Boolean DrawDebugData) [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.HandleShotUpdates () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.RunPlanetUpdateTree () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton.RunUpdate () [0x00000] in <f8a2eed9f6824d298694aacc35b31d51>:0 
  at ArcenMainGameVisuals.Update () [0x00000] in <736bed08ccc44f20ba2261307ffeeff5>:0 

9/29/2018 1:24:23 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (53,179 bytes)

Ovalcircle

Oct 6, 2018 12:17 am

reporter   ~0049790

You can see it happen to this person https://youtu.be/2z5DoZNvMm8?t=1884 (31:24). Fortunately, he clicked ignore and dismissed it.

Dominus Arbitrationis

Oct 13, 2018 6:27 pm

administrator   ~0049940

Now it just puts a message up saying you can't build a second one, without throwing any errors.

Issue History

Date Modified Username Field Change
Sep 29, 2018 1:31 pm Ovalcircle New Issue
Sep 29, 2018 1:31 pm Ovalcircle File Added: 20180929131019_1.jpg
Sep 29, 2018 1:31 pm Ovalcircle File Added: ArcenDebugLog.txt
Oct 6, 2018 12:17 am Ovalcircle Note Added: 0049790
Oct 13, 2018 6:27 pm Dominus Arbitrationis Status new => resolved
Oct 13, 2018 6:27 pm Dominus Arbitrationis Resolution open => fixed
Oct 13, 2018 6:27 pm Dominus Arbitrationis Fixed in Version => 0.784 Dash And Destruct
Oct 13, 2018 6:27 pm Dominus Arbitrationis Description Updated View Revisions
Oct 13, 2018 6:27 pm Dominus Arbitrationis Note Added: 0049940